#include <bits/stdc++.h>

using namespace std;

int main(){
	int brojStalaktita, perica;
	cin >> brojStalaktita >> perica;
	int stalaktiti[brojStalaktita];
	for (int i = 0; i < brojStalaktita; i++)
		cin >> stalaktiti[i];
	int brojac = -1;
	for (int i = 0; i < brojStalaktita; i++){
		if (stalaktiti[i] <= perica){
			brojac = i+1;
			break;
		}
	}
	cout << brojac;


	return 0;
}